Skip to main content
GET
/
api
/
projects
/
api-key
/
info
Get current API key information
curl --request GET \
  --url https://api.leanmcp.com/api/projects/api-key/info \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.leanmcp.com/api/projects/api-key/info"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.leanmcp.com/api/projects/api-key/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "apiKeyId": "<string>",
  "name": "<string>",
  "scopes": [
    "<string>"
  ],
  "userId": "<string>",
  "firebaseUid": "<string>",
  "lastUsedAt": "<string>",
  "expiresAt": "<string>",
  "isExpired": true
}

Authorizations

Authorization
string
header
required

Enter your LeanMCP API key

Response

200 - application/json

API key information retrieved successfully

apiKeyId
string
name
string
scopes
string[]
userId
string
firebaseUid
string
lastUsedAt
string | null
expiresAt
string | null
isExpired
boolean